---
gitea: none
include_toc: true
---

# grafana

## Description

Grafana is an analytics and interactive visualization web application.

[For more informations](https://grafana.com/)

## Dependances

- [base-fedora-38](../base-fedora-38/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)
      - [journald](../journald/README.md)
- [postgresql-client](../postgresql-client/README.md)
- [oauth2-client](../oauth2-client/README.md)
- [reverse-proxy-client](../reverse-proxy-client/README.md)
- [relay-mail-client](../relay-mail-client/README.md)

## Variables

### Général (*general*)

#### revprox (*general.revprox*)

| Description                                                    | Values   |
|----------------------------------------------------------------|----------|
| *[**revprox_client_port**](dictionaries/31_grafana.xml)*       | 3000     |
| *[**revprox_client_cert_owner**](dictionaries/31_grafana.xml)* | grafana  |

##### revprox_client (*general.revprox.revprox_client*)

| Description                                                        | Values   |
|--------------------------------------------------------------------|----------|
| *[**revprox_client_local_location**](dictionaries/31_grafana.xml)* | /        |

#### oauth2_client (*general.oauth2_client*)

| Description                                                                                      | Values                   | Type                                                                                                                       |
|--------------------------------------------------------------------------------------------------|--------------------------|----------------------------------------------------------------------------------------------------------------------------|
| *[**oauth2_is_client_application**](dictionaries/31_grafana.xml)*                                | True                     | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     |
| *[**oauth2_client_name**](dictionaries/31_grafana.xml)*                                          | Grafana                  | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     |
| *[**oauth2_client_description**](dictionaries/31_grafana.xml)*                                   | Visualisation de données | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     |
| *[**oauth2_client_category**](dictionaries/31_grafana.xml)*                                      | Administration           | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     |
| *[**oauth2_client_logo**](dictionaries/31_grafana.xml)*                                          | silique_note.png         | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     |
| *[**oauth2_client_token_signature_algo**](dictionaries/31_grafana.xml)*                          | RS256                    | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     |
| **Domain name allowed to log on Grafana** (*[oauth2_email_domain](dictionaries/31_grafana.xml)*) |                          | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |

#### postgresql (*general.postgresql*)

| Description                                              | Values   |
|----------------------------------------------------------|----------|
| *[**pg_client_key_owner**](dictionaries/31_grafana.xml)* | grafana  |


- [+]: variable is multiple
- **bold**: variable is mandatory

[All applications services for this dataset.](../README.md)
