---
gitea: none
include_toc: true
---

# nsd

## Description

NSD, an authoritative DNS name server.

[For more informations](https://www.nlnetlabs.nl/projects/nsd/about/)

## Dependances

- [base-fedora-37](../base-fedora-37/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)
      - [journald](../journald/README.md)

## Variables

### Général (*general*)

#### network (*general.network*)

| Description                         | Values       |
|-------------------------------------|--------------|
| *[ip_dns](dictionaries/20_nsd.xml)* | <calculated> |

#### Serveur DNS (*general.dns_server*)

| Description                                                                                              | Type                                                                                                                         |
|----------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------|
| Clients autorisés à interroger le serveur DNS (*[nsd_allowed_client_cidr](dictionaries/20_nsd.xml)*) [+] | [network_cidr](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |
| Nom de domaine du résolveur DNS associé (*[nsd_resolver](dictionaries/20_nsd.xml)*)                      | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)   |

#### Zone DNS (*general.dns_zone*)

| Description                                                | Type                                                                                                                       |
|------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|
| **Zones DNS** (*[nsd_zones](dictionaries/20_nsd.xml)*) [+] | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |

#### Zone DNS reverse (*general.dns_reverses*)

This a family is a leadership.

| Description                                                                              | Type                                                                                                                         |
|------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------|
| Réseau pour la résolution reverse (*[nsd_reverse_network](dictionaries/20_nsd.xml)*) [+] | [network_cidr](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |

### Machine (*machine*)

| Description                                 |   Values |
|---------------------------------------------|----------|
| *[**var_size**](extras/machine/20_nsd.xml)* |      256 |
| *[**add_tmp**](extras/machine/20_nsd.xml)*  |    False |
| *[**add_srv**](extras/machine/20_nsd.xml)*  |    False |
| *[**add_swap**](extras/machine/20_nsd.xml)* |    False |

### Nsd (*nsd*)

#### Zone  (*nsd.nsd_zone_*)

This a dynamic family generated from the variable "general.dns_zone.nsd_zones".

| Description                                                                  | Type                                                                                                                       |
|------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|
| **Nom des serveurs de nom de la zone ** (*[ns_](extras/nsd/00_nsd.xml)*) [+] | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |

##### Nom d'hôte pour  (*nsd.nsd_zone_.hostname_*)

This a family is a leadership.

| Description                                                             | Type                                                                                                                       | Choices      |
|-------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|--------------|
| **Nom d'hôte pour ** (*[hostname_](extras/nsd/00_nsd.xml)*) [+]         | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     |              |
| **Type pour ** (*[type_](extras/nsd/00_nsd.xml)*)                       | [choice](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)     | A<br />CNAME |
| **Adresse IP a renvoyer pour ** (*[ip_](extras/nsd/00_nsd.xml)*)        | [ip](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)         |              |
| **Nom de domaine a renvoyer pour ** (*[cname_](extras/nsd/00_nsd.xml)*) | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |              |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Used by

[nsd-local](../nsd-local/README.md)

[All applications services for this dataset.](../README.md)
