---
gitea: none
include_toc: true
---

# redis

## Description

Redis, an in-memory data structure store.

[For more informations](https://redis.io/)

## Dependances

- [base-fedora-38](../base-fedora-38/README.md)
  - [base-fedora](../base-fedora/README.md)
    - [systemd](../systemd/README.md)
      - [base-machine](../base-machine/README.md)
        - [base](../base/README.md)
        - [dns-local](../dns-local/README.md)
        - [pki-tls](../pki-tls/README.md)
      - [journald](../journald/README.md)
- [redis-common](../redis-common/README.md)

## Variables

### Général (*general*)

#### Redis (*general.redis*)

Configuration du service de cache Redis

| Description                                                                                                                | Values       | Help                     | Type                                                                                                                   | Choices                                                                                                                                     |
|----------------------------------------------------------------------------------------------------------------------------|--------------|--------------------------|------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------|
| **Nom de l'instance** (*[redis_instance_name](dictionaries/90_redis.xml)*)                                                 | <calculated> |                          | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |                                                                                                                                             |
| **Activer la persistence des données** (*[redis_save](dictionaries/90_redis.xml)*)                                         | False        |                          | [string](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |                                                                                                                                             |
| **Quantité de mémoire utilisable par Redis** (*[redis_max_memory](dictionaries/90_redis.xml)*)                             | 512          | La valeur est en Mo      | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |                                                                                                                                             |
| **Méthode de libération de mémoire lorsque le maximum est atteint** (*[redis_memory_policy](dictionaries/90_redis.xml)*)   | noeviction   |                          | [choice](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | volatile-lru<br />allkeys-lru<br />volatile-lfu<br />allkeys-lfu<br />volatile-random<br />allkeys-random<br />volatile-ttl<br />noeviction |
| **Intervalle entre le dernier envoi de paquet TCP et la réponse ACK** (*[redis_tcp_keepalive](dictionaries/90_redis.xml)*) | 300          | La valeur est en seconde | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |                                                                                                                                             |
| **Nombre de client maximum autorisé** (*[redis_max_clients](dictionaries/90_redis.xml)*)                                   | 10000        |                          | [number](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) |                                                                                                                                             |

### Accounts (*accounts*)

#### remote_ (*accounts.remote_*)

This a dynamic family generated from the variable "accounts.remotes".

| Description                                      | Type                                                                                                                       | Values       | Supplier    |
|--------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|--------------|-------------|
| *[**ip_**](extras/accounts/00_accounts.xml)*     | [ip](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable)         | <calculated> |             |
| *[**client_**](extras/accounts/00_accounts.xml)* | [domainname](https://forge.cloud.silique.fr/risotto/rougail/src/branch/main/doc/variable/README.md#le-type-de-la-variable) | <calculated> | RedisClient |


- [+]: variable is multiple
- **bold**: variable is mandatory

## Supplier

[redis-client](../redis-client/README.md)

## Provider

[redis-client](../redis-client/README.md)

[All applications services for this dataset.](../README.md)
